|  | Home · All Namespaces · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QTextDecoder Class Reference
[QtCore module]

The QTextDecoder class provides a state-based decoder. More...

     #include <QTextDecoder>

Note: All the functions in this class are reentrant.

- List of all members, including inherited members

### Public Functions

- QTextDecoder ( const QTextCodec * codec )
- ~QTextDecoder ()
- QString toUnicode ( const char * chars, int len )
- void toUnicode ( QString * target, const char * chars, int len )
- QString toUnicode ( const QByteArray & ba )

## Detailed Description

The QTextDecoder class provides a state-based decoder.

A text decoder converts text from an encoded text format into Unicode using a specific codec.

The decoder converts text in this format into Unicode, remembering any state that is required between calls.

See also QTextCodec::makeDecoder() and QTextEncoder.

## Member Function Documentation

### QTextDecoder::QTextDecoder ( const QTextCodec * codec )

Constructs a text decoder for the given codec.

### QTextDecoder::~QTextDecoder ()

Destroys the decoder.

### QString QTextDecoder::toUnicode ( const char * chars, int len )

Converts the first len bytes in chars to Unicode, returning the result.

If not all characters are used (e.g. if only part of a multi-byte encoding is at the end of the characters), the decoder remembers enough state to continue with the next call to this function.

### void QTextDecoder::toUnicode ( QString * target, const char * chars, int len )

This is an overloaded function.

The converted string is returned in target.

### QString QTextDecoder::toUnicode ( const QByteArray & ba )

This is an overloaded function.

Converts the bytes in the byte array specified by ba to Unicode and returns the result.